### DbEnv::memp_fcreate |

`

###

    #include <db_cxx.h>

    int
    DbEnv::memp_fcreate(DbMpoolFile **dbmfp, u_int32_t flags);

### Description: DbEnv::memp_fcreate

The DbEnv::memp_fcreate method creates a DbMpoolFile structure that is the handle for a Berkeley DB shared memory buffer pool file. A pointer to this structure is returned in the memory to which dbmfp refers. Calling the DbMpoolFile::close method will discard the returned handle.

The DbEnv::memp_fcreate method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

flags
  The flags parameter is currently unused, and must be set to 0.

### Class

DbEnv, DbMpoolFile

### See Also

Memory Pools and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.